# std::bit_or< _Tp > Struct Template Reference

Inheritance diagram for std::bit_or< _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::bit_or< _Tp >

Definition at line 298 of file stl_function.h.

## Public Types

- typedef _Tp first_argument_type
- typedef _Tp result_type
- typedef _Tp second_argument_type

## Public Member Functions

- _Tp operator() (const _Tp &__x, const _Tp &__y) const

## Member Typedef Documentation

typedef _Tp std::binary_function< _Tp , _Tp , _Tp >::first_argument_type `[inherited]`

the type of the first argument

Definition at line 117 of file stl_function.h.

typedef _Tp std::binary_function< _Tp , _Tp , _Tp >::result_type `[inherited]`

type of the return type

Definition at line 121 of file stl_function.h.

typedef _Tp std::binary_function< _Tp , _Tp , _Tp >::second_argument_type `[inherited]`

(no surprises here) the type of the second argument

Definition at line 120 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h